### Method

# Aravis Camera select_component

since: 0.8.25

#### Declaration [src]

    gboolean
    arv_camera_select_component (
      ArvCamera* camera,
      const char* component,
      ArvComponentSelectionFlags flags,
      guint* component_id,
      GError** error
    )

#### Description [src]

Select and enable or disable the given `component`.

Available since: 0.8.25

#### Parameters

`component`

  Type: `const char*`

  Component to select.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `ArvComponentSelectionFlags`

  A `ArvComponentSelectionFlags`.

`component_id`

  Type: `guint*`

  A placeholder for the component id.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the component is enabled.